--- a/meson.build
+++ b/meson.build
@@ -4,7 +4,7 @@
 	'cpp',
 	default_options : ['cpp_std=c++17','buildtype=debugoptimized'],
 	version: '4.8.5',
-	meson_version: '>= 0.40.0'
+	meson_version: '>= 0.47.0'
 )
 
 add_global_arguments('-DG_LOG_DOMAIN="pulseeffects"', language : 'c')
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -0,0 +1,12 @@
+option(
+        'bs2b',
+        type: 'feature',
+        value: 'auto',
+        description: 'Enable bs2b-based Crossfeed plug-in for improving headphone listening of stereo audio records'
+)
+option(
+        'rnnoise',
+        type: 'feature',
+        value: 'auto',
+        description: 'Enable rnnoise-based Noise Reduction plug-in'
+)
--- a/src/meson.build
+++ b/src/meson.build
@@ -108,7 +108,7 @@
 	dependency('gstreamer-plugins-bad-1.0', version: '>=1.12.5'),
 	dependency('gstreamer-fft-1.0'),
 	dependency('lilv-0', version: '>=0.22', required: false),
-	dependency('libbs2b', required: false),
+	dependency('libbs2b', required: get_option('bs2b')),
 	dependency('boost', version: '>=1.72', modules:['system','filesystem']),
 	dependency('sndfile'),
 	dependency('threads')
--- a/src/rnnoise/meson.build
+++ b/src/rnnoise/meson.build
@@ -1,4 +1,5 @@
-dep_rnnoise = dependency('rnnoise', required: false)
+opt_rnnoise = get_option('rnnoise')
+dep_rnnoise = dependency('rnnoise', required: opt_rnnoise)
 
 if dep_rnnoise.found()
 
@@ -28,7 +29,7 @@
   	cpp_args: plugins_cxx_args
 )
 
-else
+elif opt_rnnoise.auto()
 
 message('could not find the RNNoise library')
 
